From 1a58918030197dd4f942e78cfe346dc8add67c23 Mon Sep 17 00:00:00 2001
From: Holger Peters <holger.peters@posteo.de>
Date: Fri, 24 Apr 2020 20:38:24 +0200
Subject: [PATCH 2/2] gnu: python-pastedeploy: Update to 1.8.3

* gnu/packages/python-web.scm (python-pastedeploy): Update to 1.7:
  Tests are now run via pytest
---
 gnu/packages/python-web.scm | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

diff --git a/gnu/packages/python-web.scm b/gnu/packages/python-web.scm
index 2142b6235f..ed37f41c71 100644
--- a/gnu/packages/python-web.scm
+++ b/gnu/packages/python-web.scm
@@ -1717,17 +1717,19 @@ and to spawn subprocesses to handle requests.")
 (define-public python-pastedeploy
   (package
     (name "python-pastedeploy")
-    (version "1.5.2")
+    (version "2.1.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "PasteDeploy" version))
        (sha256
-        (base32
-         "1jz3m4hq8v6hyhfjz9425nd3nvn52cvbfipdcd72krjmla4qz1fm"))))
+         (base32
+           "16qsq5y6mryslmbp5pn35x4z8z3ndp5rpgl42h226879nrw9hmg7"))))
     (build-system python-build-system)
+    (arguments '(#:test-target "pytest"))
     (native-inputs
-     `(("python-nose" ,python-nose)))
+      `(("python-pytest-runner" ,python-pytest-runner)
+        ("python-pytest" ,python-pytest)))
     (home-page "https://pylonsproject.org/")
     (synopsis
      "Load, configure, and compose WSGI applications and servers")
-- 
2.26.2

